#pragma once

#include <cstdint>

#include "AdConstants.h"

namespace Ad
{
namespace Types
{

enum class Lane
{
    Unknown,
    Left,
    Center,
    Right,
};

struct Vehicle
{
    std::int32_t id;
    Lane lane;
    double speed_mps;
    double rel_distance_m;
};

} // namespace Ad::Types
} // namespace Ad 
